
Foreman - Bug #4941

Unable to create new user in organization

03/28/2014 07:53 PM - Bryan Kearney

Status: Duplicate   

Priority: High   

Assignee: Joseph Magen   

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1082142 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1082142

Description of problem: When trying to create new user in organization, I get

Warning!

  too few arguments

 full trace:

ArgumentError

  too few arguments

  app/controllers/users_controller.rb:20:in `create'

  app/models/concerns/foreman/thread_session.rb:33:in `clear_thread'

  lib/middleware/catch_json_parse_errors.rb:9:in `call'

 How reproducible: always/deterministic

Steps to Reproduce:

1. select organization

  2. Administer -> Users -> New User

  3. Fill in data (..., authorized by INTERNAL, password)

 Actual results:

warining, no user created

 Expected results:

no warning, user created

 Additional info:

I also tried create new organization than ACME   * had to enable locations   * still does not work

creating user in no org context is possible   * it is possible to then add user to org

Related issues:

Is duplicate of Katello - Bug #4757: Can't create a new user Closed 03/20/2014

History

#1 - 03/30/2014 01:47 PM - Ohad Levy

- Assignee set to Joseph Magen

#2 - 03/30/2014 03:09 PM - Ohad Levy

can you please provide foreman-debug?
thanks

#3 - 03/31/2014 01:59 AM - Mike McCune

I can't seem to reproduce this ..

#4 - 03/31/2014 07:05 AM - Dominic Cleal

- Is duplicate of Bug #4757: Can't create a new user added

#5 - 03/31/2014 07:05 AM - Dominic Cleal

- Status changed from New to Duplicate
